#ifndef GAMELOGIC_H
#define GAMELOGIC_H
#include "WordManager.h"
#include <set>
#include "PlayerInput.h"

class GameLogic {
    int currentLevel; 
    WordManager wordManager;
    int attemptsLeft;
    std::set<char> usedLetters;
    int score;

    void resetRound();
    void calculateScore();

public:
    GameLogic();
    void startGame();
    void playRound();
    void displayGameState() const;
    bool checkGameOver() const;
    bool checkWin() const;
    int getScore() const;
};

#endif
